com.hammurapi.extract

## Class MappedPredicate<T,C>

- java.lang.Object
- - com.hammurapi.extract.MappedExtractor<T,Boolean,C>
  - - com.hammurapi.extract.MappedPredicate<T,C>

- Type Parameters:
    `T` -
    `V` -
    `C` -
  All Implemented Interfaces:
    Extractor<T,Boolean,C>, FacadeExtractor<T,Boolean,C>, Mappable<T,Boolean,C>, Predicate<T,C>

      public class MappedPredicate<T,C>
      extends MappedExtractor<T,Boolean,C>
      implements Predicate<T,C>

  Extractor which maps arguments to the target extractor.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MappedPredicate(Predicate<T,C> target, int[] map)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T,C> Predicate<T,C>` | `mapPredicate(Predicate<T,C> target, int[] map)`

    - ### Methods inherited from class com.hammurapi.extract.MappedExtractor

      `compareTo, extract, getCost, getMap, getTarget, isContextDependent, map, mapExtractor, parameterIndices, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hammurapi.extract.Extractor

      `compareTo, extract, getCost, isContextDependent, parameterIndices`

- - ### Constructor Detail

    - #### MappedPredicate

          protected MappedPredicate(Predicate<T,C> target,
                         int[] map)

      Parameters:
        `target` - Target extractor
        `map` - Index map, e.g. if it is {5, 3} then the first argument of this extractor becomes the sixth argument of the target extractor and the second argument of this extractor becomes the 4th argument of the target extractor.

  - ### Method Detail

    - #### mapPredicate

          public static <T,C> Predicate<T,C> mapPredicate(Predicate<T,C> target,
                                          int[] map)